Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# oscl_stdstring.h File Reference

This file provides standard string operations such as strlen, strncpy, etc. ANSI defines undefined behavior when the destination pointer is null for operations such as strncpy, strncat, etc. But, we chose to define one. In such cases, we return the destination as null. More...

`#include "oscl_base.h"`

Go to the source code of this file.

## Functions
OSCL_IMPORT_REF uint32 | oscl_strlen (const char *str)
OSCL_IMPORT_REF uint32 | oscl_strlen (const oscl_wchar *str)
OSCL_IMPORT_REF char * | oscl_strncpy (char *dest, const char *src, uint32 count)
OSCL_IMPORT_REF oscl_wchar * | oscl_strncpy (oscl_wchar *dest, const oscl_wchar *src, uint32 count)
OSCL_IMPORT_REF int32 | oscl_strcmp (const char *str1, const char *str2)
OSCL_IMPORT_REF int32 | oscl_strcmp (const oscl_wchar *str1, const oscl_wchar *str2)
OSCL_IMPORT_REF int32 | oscl_strncmp (const char *str1, const char *str2, uint32 count)
OSCL_IMPORT_REF int32 | oscl_strncmp (const oscl_wchar *str1, const oscl_wchar *str2, uint32 count)
OSCL_IMPORT_REF char * | oscl_strncat (char *dest, const char *src, uint32 count)
OSCL_IMPORT_REF oscl_wchar * | oscl_strncat (oscl_wchar *dest, const oscl_wchar *src, uint32 count)
OSCL_IMPORT_REF const char * | oscl_strchr (const char *str, int32 c)
OSCL_IMPORT_REF char * | oscl_strchr (char *str, int32 c)
OSCL_IMPORT_REF const oscl_wchar * | oscl_strchr (const oscl_wchar *str, int32 c)
OSCL_IMPORT_REF oscl_wchar * | oscl_strchr (oscl_wchar *str, int32 c)
OSCL_IMPORT_REF const char * | oscl_strrchr (const char *str, int32 c)
OSCL_IMPORT_REF char * | oscl_strrchr (char *str, int32 c)
OSCL_IMPORT_REF const oscl_wchar * | oscl_strrchr (const oscl_wchar *str, int32 c)
OSCL_IMPORT_REF oscl_wchar * | oscl_strrchr (oscl_wchar *str, int32 c)
OSCL_IMPORT_REF char * | oscl_strset (char *dest, char val, uint32 count)
OSCL_IMPORT_REF oscl_wchar * | oscl_strset (oscl_wchar *dest, oscl_wchar val, uint32 count)
OSCL_IMPORT_REF int32 | oscl_CIstrcmp (const char *str1, const char *str2)
OSCL_IMPORT_REF int32 | oscl_CIstrcmp (const oscl_wchar *str1, const oscl_wchar *str2)
OSCL_IMPORT_REF int32 | oscl_CIstrncmp (const char *str1, const char *str2, uint32 count)
OSCL_IMPORT_REF int32 | oscl_CIstrncmp (const oscl_wchar *str1, const oscl_wchar *str2, uint32 count)
OSCL_IMPORT_REF char | oscl_tolower (const char car)
OSCL_IMPORT_REF oscl_wchar | oscl_tolower (const oscl_wchar car)
OSCL_IMPORT_REF bool | oscl_isLetter (const char car)
OSCL_IMPORT_REF const char * | oscl_strstr (const char *str1, const char *str2)
OSCL_IMPORT_REF char * | oscl_strstr (char *str1, const char *str2)
OSCL_IMPORT_REF const oscl_wchar * | oscl_strstr (const oscl_wchar *str1, const oscl_wchar *str2)
OSCL_IMPORT_REF oscl_wchar * | oscl_strstr (oscl_wchar *str1, const oscl_wchar *str2)
OSCL_IMPORT_REF char * | oscl_strcat (char *dest, const char *src)
OSCL_IMPORT_REF oscl_wchar * | oscl_strcat (oscl_wchar *dest, const oscl_wchar *src)

## Detailed Description

This file provides standard string operations such as strlen, strncpy, etc. ANSI defines undefined behavior when the destination pointer is null for operations such as strncpy, strncat, etc. But, we chose to define one. In such cases, we return the destination as null.